# Servo库

> Servo类库

| 函数 | 说明 | 返回值 |
| -: | - | - |
|`attach(pin,min,max)`|设定舵机的接口，只有9或10接口可利用。|~|
|`write(angle)`|设定舵机旋转角度，可设定的角度范围是0°到180°。|~|
|`writeMircoseconds(uS)`|设定舵机旋转角度，直接用微秒作为参数。|~|
|`read()`|读取舵机角度|舵机的角度|
|`attached()`|判断舵机参数是否已发送到舵机所在接口。|附加到一个引脚时返回true|
|`detach()`|使舵机与其接口分离，该接口（9或10）可继续被用作PWM接口。|~|

# 串口库

> Serial类库

| 函数 | 说明 | 参数 | 返回值 |
| -: | :- | - | - |
|`begin(speed,config)`|开启串口|speed：波特率，一般取值9600,115200等。config(可选)：设置数据位、校验位和停止位。默认SERIAL_8N1表示8个数据位，无校验位，1个停止位。||
|`end()`|禁止串口传输。此时串口Rx和Tx可以作为数字IO引脚使用|||
|`print(val,format)`|串口输出数据，写入字符数据到串口。|val：打印的值，任意数据类型。format(可选)：输出的数据格式。BIN(二进制)、OCT(八进制)、DEC(十进制)、HEX(十六进制)。对于浮点数，此参数指定要使用的小数位数。|写入的字节数。|
|`println(val,format)`|同上||同上|
|`available()`|||可读取的字节数。|
|`read()`|||串口缓存中第一个可读字节，当没有可读数据时返回-1，整数类型。|
|`readBytes(buffer,length)`||buffer：缓存变量。length：设定的读取长度。|存入缓存的字符数。|

# arduino移动小车
![](https://git.yoqi.me/Noble-117/WeeklyReport/raw/master/Images/1.jpg)